import java.util.ArrayList;


@SuppressWarnings("serial")
public class Database extends ArrayList<Zip>{

	
	public String toString()
	{
		String string = "";
		for(int i=0; i<size(); i++)
		{
			string += "i: " + i + ", " + get(i) + "\n";
		}
		return string;
	}

	public String toGoogleString()
	{
		String string = new String();
			
		string += "[";
		for(Zip zip : this)
		{
			LatLng point = zip.getLatLng();
			string += " new GLatLng(_point_),";
			string = string.replaceAll("_point_", point.toString());
		}
		string += " ]";
		
		return string;
		
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		Database database = new Database();
		database.add(new Zip(73019, "Norman", "OK", new LatLng(35.221617, -97.418236)));
		database.add(new Zip(68066, "Wahoo", "NE", new LatLng(41.213292, -96.619044)));

		System.out.println("database:");
		System.out.println(database);
		System.out.println(database.toGoogleString());

	}

}
